#! /usr/bin/env bash
FILE="$(realpath "${BASH_SOURCE[0]}")"
ROOT="$(dirname "${FILE}")"

INPUT="${ROOT}/in"
OUTPUT="${ROOT}/out"

rm --force --recursive "${OUTPUT}"
mkdir --parents "${OUTPUT}"

FILES=()
for f in $(cat "${ROOT}/in.txt") ; do
    FILES+=("${INPUT}/${f}.md")
done

pandoc \
--verbose \
--standalone \
--self-contained \
\
--css "${ROOT}/index.css" \
--output "${OUTPUT}/index.html" \
\
--number-sections \
--slide-level '3' \
--write 'revealjs' \
--variable revealjs-url='/sw/revealjs/up' \
--variable slideNumber \
\
"${FILES[@]}"
